package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicNewsCategory {
    public static final String INFORMAT = "创业资讯";
    public static final String UNSCRAMBLE = "政策解读";
    public static final String OPENCLASS = "创业公开课";


    private static DicNewsCategory instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicNewsCategory(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(INFORMAT, INFORMAT);
        dicMap.put(UNSCRAMBLE, UNSCRAMBLE);
        dicMap.put(OPENCLASS, OPENCLASS);
    }

    public static DicNewsCategory getInstacne(){
        if (instance == null)
        {
            instance = new DicNewsCategory();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
